v1.5.1

@segiddins segiddins released this Aug 28, 2017 · 5469 commits to master since this release

Bugfixes:

  • correctly find gems installed with Ruby by default

1.5.0 (2013-12-26)

Features:

  • install missing gems if their specs are present (@hone)

Bugfixes:

  • use print for "Installing…" so messages are thread-safe (@TimMoore)

1.5.0.rc.2 (2013-12-18)

"Features":

  • Support threaded installation on Rubygems 2.0.7+
  • Debug installation logs in .bundle/install.log

"Bugfixes":

  • Try to catch gem installation race conditions

1.5.0.rc.1 (2013-11-09)

Features:

Bugfixes:

  • fix sharing same SSL socket when forking workers for parallel install (#2632)
  • fix msg typo in GitNotAllowedError (#2654, @joyicecloud)
  • fix Bundler.which for directories (#2697, @rhysd)
  • properly require Capistrano::Version (#2690, @steveklabnik)
  • search for git.exe and git
  • fix the bug that downloads every spec when API fetcher encouters an error
  • only retry network requests